#include <string>

#include "phgen.h"
//#include "RandomSourceWrapper.h"

using namespace std;

class AphGen : public PhGen {

 private:
  int n;
  double* initialProbabilities;
  double* sojournTimes;
  RandomSourceWrapper * rsw;

 public:
  AphGen(char* filename);
  ~AphGen();
  double getVariate();
  int drawState();
  void setUniformRandomSource(RandomSourceWrapper * randomSource);

};
